← Tablas

Scotland

Women's Premiership

#EquipoPWDLPDBPPtsForma
1Hillhead Jordanhill RFC5500+173525WWWWW
2Watsonian FC5401+165521WLWWW
3Stirling County RFC4400+254420WWWW
4Biggar RFC5302+26416WWWLL
5Garioch RFC5104-24237LLLWL
6Heriot's Rugby Women4103-2656LWLL
7Corstorphine RFC5104-13526LLLLW
8Cartha Queens Park RFC5005-21533LLLLL

Fuente: Scottish Rugby · consultado 14 oct, 04:52 p.m. · Forma: los últimos cinco resultados que tenemos, el más reciente a la derecha.

Partidos y resultados →

Cada tabla es la publicada por la propia liga, con sus bonus, descuentos y desempates. BP aparece donde la liga lo publica; en el resto ya está incluido en Pts.